Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
update_arg Struct Reference

## Data Fields
VALUE | hash
VALUE | value
rb_hash_update_func * | func

## Detailed Description

Definition at line 1919 of file hash.c.

## Field Documentation

rb_hash_update_func* update_arg::func

Definition at line 1922 of file hash.c.

Referenced by rb_hash_update_by(), and rb_hash_update_func_callback().

VALUE update_arg::hash

Definition at line 1920 of file hash.c.

Referenced by NOINSERT_UPDATE_CALLBACK(), and rb_hash_update_by().

VALUE update_arg::value

Definition at line 1921 of file hash.c.

Referenced by NOINSERT_UPDATE_CALLBACK(), and rb_hash_update_func_callback().

The documentation for this struct was generated from the following file:

- hash.c